{% extends 'base.html.twig' %}

{% block title %}Connectez-vous!{% endblock %}

{% block body %}
    <form method="post">
        {% if error %}
            <div class="alert alert-danger">{{ error.messageKey|trans(error.messageData, 'security') }}</div>
        {% endif %}

        {% if app.user %}
            <h4 class="mb-3 fw-bold fs-3">
                Vous êtes connecté en tant que {{ app.user.userIdentifier }}, <a href="{{ path('app_logout') }}">Déconnexion</a>
            </h4>
        {% endif %}
        <h1 class="h3 mb-3 font-weight-normal">Veuillez vous connecter</h1>
            <label for="inputEmail">Adresse email</label>
            <input type="email" value="{{ last_username }}" name="email" id="inputEmail" class="form-control" autocomplete="email" required autofocus>
            <label for="inputPassword">Mot de passe</label>
            <input type="password" name="password" id="inputPassword" class="form-control" autocomplete="current-password" required>
            <input type="hidden" name="_csrf_token"
                    value="{{ csrf_token('authenticate') }}">
        <button class="btn btn-lg btn-primary" type="submit">Se connecter</button>
    </form>
{% endblock %}
